# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

# Defining variables
fw_rule_name_py = 'WAPT Python'
fw_rule_name_py_scripts = 'WAPT Python Scripts'


def install():
    print("Removing old WAPT Python firewall rules and shortcut")
    run_notfatal('netsh advfirewall firewall delete rule name="wapt-python"')
    run_notfatal('netsh advfirewall firewall delete rule name="python"')
    remove_programs_menu_shortcut('Pyscripter-Python WAPT')
    # Removing rules to prevent duplication
    run_notfatal('netsh advfirewall firewall delete rule name="%s"' % fw_rule_name_py)
    run_notfatal('netsh advfirewall firewall delete rule name="%s"' % fw_rule_name_py_scripts)

    print("Opening firewall rules for WAPT Python")
    wapt_python_path = makepath(WAPT.wapt_base_dir, 'waptpython.exe')
    print('netsh advfirewall firewall add rule name="%s" dir=in action=allow program="%s" enable=yes' % (fw_rule_name_py, wapt_python_path))
    run_notfatal('netsh advfirewall firewall add rule name="%s" dir=in action=allow program="%s" enable=yes' % (fw_rule_name_py, wapt_python_path))

    wapt_python_scripts_path = makepath(WAPT.wapt_base_dir, 'Scripts', 'python.exe')
    print('netsh advfirewall firewall add rule name="%s" dir=in action=allow program="%s" enable=yes' % (fw_rule_name_py_scripts, wapt_python_scripts_path))
    run_notfatal('netsh advfirewall firewall add rule name="%s" dir=in action=allow program="%s" enable=yes' % (fw_rule_name_py_scripts, wapt_python_scripts_path))


def uninstall():
    print("Removing firewall rules")
    run_notfatal('netsh advfirewall firewall delete rule name="%s"' % fw_rule_name_py)
    run_notfatal('netsh advfirewall firewall delete rule name="%s"' % fw_rule_name_py_scripts)




def update_package():
    pass

